### Constructor

# Gdk.Cursor.new_from_texture

#### Declaration [src]

    GdkCursor*
    gdk_cursor_new_from_texture (
      GdkTexture* texture,
      int hotspot_x,
      int hotspot_y,
      GdkCursor* fallback
    )

#### Description [src]

Creates a new cursor from a `GdkTexture`.

#### Parameters

`texture` | `GdkTexture`
| the texture providing the pixel data
| Ownership is not transferred to the callee
`hotspot_x` | `int`
| the horizontal offset of the “hotspot” of the cursor
`hotspot_y` | `int`
| the vertical offset of the “hotspot” of the cursor
`fallback` | `GdkCursor`
| `NULL` or the `GdkCursor` to fall back to when this one cannot be supported
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `GdkCursor`
a new `GdkCursor`
Ownership of the data is transferred to the caller